/*
 * Copyright (c) Likewise Software.  All rights Reserved.
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2.1 of the license, or (at
 * your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
 * General Public License for more details.  You should have received a copy
 * of the GNU Lesser General Public License along with this program.  If
 * not, see <http://www.gnu.org/licenses/>.
 *
 * LIKEWISE SOFTWARE MAKES THIS SOFTWARE AVAILABLE UNDER OTHER LICENSING
 * TERMS AS WELL.  IF YOU HAVE ENTERED INTO A SEPARATE LICENSE AGREEMENT
 * WITH LIKEWISE SOFTWARE, THEN YOU MAY ELECT TO USE THE SOFTWARE UNDER THE
 * TERMS OF THAT SOFTWARE LICENSE AGREEMENT INSTEAD OF THE TERMS OF THE GNU
 * LESSER GENERAL PUBLIC LICENSE, NOTWITHSTANDING THE ABOVE NOTICE.  IF YOU
 * HAVE QUESTIONS, OR WISH TO REQUEST A COPY OF THE ALTERNATE LICENSING
 * TERMS OFFERED BY LIKEWISE SOFTWARE, PLEASE CONTACT LIKEWISE SOFTWARE AT
 * license@likewisesoftware.com
 */

/*
 * Module Name:
 *
 *        base.h
 *
 * Abstract:
 *
 *        Base include header
 *
 * Authors: Brian Koropoff (bkoropoff@likewisesoftware.com)
 *
 */

#ifndef __LWBASE_H__
#define __LWBASE_H__

#include <lw/types.h>
#include <lw/attrs.h>
#include <lw/atomic.h>
#include <lw/ntstatus.h>
#include <lw/errno.h>
#include <lw/winerror.h>
#include <lw/rpcstatus.h>
#include <lw/rtlmemory.h>
#include <lw/rtlstring.h>
#include <lw/rbtree.h>
#include <lw/security-types.h>
#include <lw/security-api.h>
#include <lw/dscache.h>
#include <lw/threadpool.h>
#include <lw/affinity.h>
#include <lw/mapsecurity.h>
#include <lw/safeint.h>
#include <lw/hash.h>
#include <lw/svcm.h>
#include <lw/rtllog.h>

#endif
